Macaulay2 » Documentation
Packages » NCAlgebra :: QQ * NCMatrix
next | previous | forward | backward | up | index | toc

# QQ * NCMatrix -- Product of NCMatrices

- Operator: *
- Usage:
    `L = a*M`
- Inputs:
  - a, a rational number,
  - M, an instance of the type NCMatrix,
- Outputs:
  - L, an instance of the type NCMatrix,

## Description

This command allows for the scaling of an NCMatrix by an element in QQ.

    i1 : B = threeDimSklyanin(QQ,{1,1,-1},{x,y,z})
    --Calling Bergman for NCGB calculation.
    Complete!

    o1 = B

    o1 : NCQuotientRing

    i2 : M = ncMatrix {{x, y, z}}

    o2 = | x y z |

    o2 : NCMatrix

    i3 : sigma = ncMap(B,B,{y,z,x})

    o3 = NCRingMap B <--- B

    o3 : NCRingMap

    i4 : N = ncMatrix {{M},{sigma M}, {sigma sigma M}}

    o4 = | x y z |
         | y z x |
         | z x y |

    o4 : NCMatrix

    i5 : (1/2)*N

    o5 = | 1/2*x 1/2*y 1/2*z |
         | 1/2*y 1/2*z 1/2*x |
         | 1/2*z 1/2*x 1/2*y |

    o5 : NCMatrix

## Ways to use this method:

- QQ * NCMatrix -- Product of NCMatrices

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:792:0.